---

- name: Create docker prefetch script
  template:
    src: docker/prefetch.sh
    dest: "{{ docker_pretech_script }}"
    owner: root
    group: root
    mode: 0755

- name: Create systemd docker prefetch UNIT
  template:
    src: docker/prefetch.service
    dest: /etc/systemd/system/docker-prefetch.service
    owner: root
    group: root
    mode: 0644

- name: Enable docker prefetch at boot
  systemd:
    name: docker-prefetch
    daemon_reload: yes
    enabled: yes
